/**
 * Created by liz on 2015/11/3.
 */
var Promise = require('promise');
var mysql = require('@incar/mysql-pool');

module.exports = (function() {
    function carService() {

    }

    //check carcloudno is existed.
    carService.findCarCloudNoG = function * (carcloudno, s4_id){
        var sql = "select * from t_car where obd_code = ? and s4_id = ?";
        var result = yield mysql.pool.queryP(sql,[carcloudno, s4_id]);
        return result;
    }

    //check carcloudno is already binded by user.
    carService.checkBindByCarG = function * (cid){
        var sql = "select count(*) as rowsCount from t_car_user where car_id = ?";
        var rows = yield mysql.pool.queryP(sql,[cid]);
        return rows[0].rowsCount;
    }

    //查找所有的品牌
    carService.getAllBrandsG = function * (){
         var sql = "SELECT DISTINCT brandCode,brand FROM t_car_dictionary;";
         return yield mysql.pool.queryP(sql);
    }

    //查找车系
    carService.getSeriesG = function * (brandCode){
        var sql = "SELECT series,seriesCode FROM t_car_dictionary WHERE brandCode = ?;";
        return yield mysql.pool.queryP(sql,[brandCode]);
    }

    //查找车辆信息
    carService.getCarInfoG = function * (wx_oid){
        var sql = "select tc.id from t_car_user tcu left join t_car tc on tcu.car_id = tc.id left join t_account ta on tcu.acc_id = ta.id where ta.wx_oid = ?";
        return yield mysql.pool.queryP(sql,[wx_oid]);
    }

    return carService;
})();