/**
 * Created by liz on 2015/11/2.
 */

var Promise = require('promise');
var mysql = require('@incar/mysql-pool');
var Entity = require('./Entity');


module.exports = (function() {
    function s4Service() {

    }

    /**
     * find a 4S store information by name.
     * @param name
     * @returns {*}
     */
    s4Service.findS4ByName = function * (name){
        var sql = "select * from t_4s where name = ?";
        var result = yield mysql.pool.queryP(sql,[name]);
        return result;
    }

    /**
     * 根据ID查找4S店
     * @param id
     * @returns {*}
     */
    s4Service.findS4ById = function * (id){
        var sql = "select * from t_4s where id = ?";
        var result = yield mysql.pool.queryP(sql,[id]);
        return result;
    }

    /**
     * Add a 4sStore
     * @param s4Info
     */
    s4Service.saveG = function * (s4Info){
        var result = yield Entity.commonInsertG("t_4s", s4Info);
        return result
    }

    return s4Service;
})();